## atop 2.4.0

=== Makefile ===
# Makefile for System & Process Monitor ATOP (Linux version)
#
# Gerlof Langeveld - gerlof.langeveld@atoptool.nl
#
DESTDIR  =

BINPATH  = /usr/bin
SBINPATH = /usr/sbin
SCRPATH  = /usr/share/atop
LOGPATH  = /var/log/atop
MAN1PATH = /usr/share/man/man1
MAN5PATH = /usr/share/man/man5
MAN8PATH = /usr/share/man/man8
INIPATH  = /etc/init.d
SYSDPATH = /usr/lib/systemd/system
CRNPATH  = /etc/cron.d
ROTPATH  = /etc/logrotate.d
PMPATH1  = /usr/lib/pm-utils/sleep.d
PMPATH2  = /usr/lib64/pm-utils/sleep.d
PMPATHD  = /usr/lib/systemd/system-sleep

CFLAGS  += -O2 -I. -Wall  # -DNOPERFEVENT   # -DHTTPSTATS
OBJMOD0  = version.o
OBJMOD1  = various.o  deviate.o   procdbase.o
OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
OBJMOD4  = atopsar.o  netatopif.o gpucom.o
ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)

VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')

all: 		atop atopsar atopacctd atopconvert

atop:		atop.o    $(ALLMODS) Makefile
		$(CC) -c version.c
		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lz -lm -lrt $(LDFLAGS)

atopsar:	atop
		ln -sf atop atopsar

atopacctd:	atopacctd.o netlink.o
		$(CC) atopacctd.o netlink.o -o atopacctd $(LDFLAGS)

atopconvert:	atopconvert.o
		$(CC) atopconvert.o -o atopconvert -lz $(LDFLAGS)

netlink.o:	netlink.c
		$(CC) -I. -Wall -c netlink.c

clean:
		rm -f *.o atop atopacctd atopconvert

distr:
		rm -f *.o atop
		tar czvf /tmp/atop.tar.gz *


install:
		@echo Choose either \'make systemdinstall\' or \'make sysvinstall\'

systemdinstall:	genericinstall
		if [ ! -d $(DESTDIR)$(SYSDPATH) ]; 			\
		then	mkdir -p $(DESTDIR)$(SYSDPATH); fi
		if [ ! -d $(DESTDIR)$(PMPATHD) ]; 			\
		then	mkdir -p $(DESTDIR)$(PMPATHD); fi
		#
		cp atop.service       $(DESTDIR)$(SYSDPATH)
		chmod 0644            $(DESTDIR)$(SYSDPATH)/atop.service
		cp atopgpu.service    $(DESTDIR)$(SYSDPATH)
		chmod 0644            $(DESTDIR)$(SYSDPATH)/atopgpu.service
		cp atopacct.service   $(DESTDIR)$(SYSDPATH)
		chmod 0644            $(DESTDIR)$(SYSDPATH)/atopacct.service
		cp atop.cronsystemd   $(DESTDIR)$(CRNPATH)/atop
		cp atop-pm.sh         $(DESTDIR)$(PMPATHD)
		chmod 0711            $(DESTDIR)$(PMPATHD)/atop-pm.sh
		#
		# only when making on target system:
		#
		if [ -z "$(DESTDIR)" -a -f /bin/systemctl ]; 		\
		then	/bin/systemctl stop    atop     2> /dev/null;	\
			/bin/systemctl disable atop     2> /dev/null;	\
			/bin/systemctl stop    atopacct 2> /dev/null;	\
			/bin/systemctl disable atopacct 2> /dev/null;	\
			/bin/systemctl enable  atopacct;		\
			/bin/systemctl start   atopacct;		\
			/bin/systemctl enable  atop;			\
			/bin/systemctl start   atop;			\
		fi

sysvinstall:	genericinstall
		if [ ! -d $(DESTDIR)$(INIPATH) ]; 			\
		then	mkdir -p  $(DESTDIR)$(INIPATH); fi
		#
		cp atop.init      $(DESTDIR)$(INIPATH)/atop
		cp atopacct.init  $(DESTDIR)$(INIPATH)/atopacct
		cp atop.cronsysv  $(DESTDIR)$(CRNPATH)/atop
		#
		if [   -d $(DESTDIR)$(PMPATH1) ]; 			\
		then	cp 45atoppm $(DESTDIR)$(PMPATH1); 		\
			chmod 0711  $(DESTDIR)$(PMPATH1)/45atoppm;	\
		fi
		if [ -d $(DESTDIR)$(PMPATH2) ]; 			\
		then	cp 45atoppm $(DESTDIR)$(PMPATH2);		\
			chmod 0711  $(DESTDIR)$(PMPATH2)/45atoppm;	\
		fi
		#
		#
		# only when making on target system:
		#
		if [ -z "$(DESTDIR)" -a -f /sbin/chkconfig ];		\
		then 	/sbin/chkconfig --del atop     2> /dev/null;	\
			/sbin/chkconfig --add atop;			\
			/sbin/chkconfig --del atopacct 2> /dev/null;	\
			/sbin/chkconfig --add atopacct;			\
		fi
		if [ -z "$(DESTDIR)" -a -f /usr/sbin/update-rc.d ];	\
		then	update-rc.d atop defaults;			\
			update-rc.d atopacct defaults;			\
		fi
		if [ -z "$(DESTDIR)" -a -f /sbin/service ];		\
		then	/sbin/service atopacct start;			\
			sleep 2;					\
			/sbin/service atop     start;			\
		fi

genericinstall:	atop atopacctd atopconvert
		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
		if [ ! -d $(DESTDIR)$(BINPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(BINPATH); fi
		if [ ! -d $(DESTDIR)$(SBINPATH) ]; 		\
		then mkdir -p $(DESTDIR)$(SBINPATH); fi
		if [ ! -d $(DESTDIR)$(SCRPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(SCRPATH); fi	
		if [ ! -d $(DESTDIR)$(MAN1PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN1PATH);	fi
		if [ ! -d $(DESTDIR)$(MAN5PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN5PATH);	fi
		if [ ! -d $(DESTDIR)$(MAN8PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN8PATH);	fi
		if [ ! -d $(DESTDIR)$(CRNPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(CRNPATH);	fi
		if [ ! -d $(DESTDIR)$(ROTPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(ROTPATH);	fi
		#
		cp atop   		$(DESTDIR)$(BINPATH)/atop
		chown root		$(DESTDIR)$(BINPATH)/atop
		chmod 04711 		$(DESTDIR)$(BINPATH)/atop
		ln -sf atop             $(DESTDIR)$(BINPATH)/atopsar
		cp atopacctd  		$(DESTDIR)$(SBINPATH)/atopacctd
		chown root		$(DESTDIR)$(SBINPATH)/atopacctd
		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopacctd
		cp atopgpud  		$(DESTDIR)$(SBINPATH)/atopgpud
		chown root		$(DESTDIR)$(SBINPATH)/atopgpud
		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopgpud
		cp atop   		$(DESTDIR)$(BINPATH)/atop-$(VERS)
		ln -sf atop-$(VERS)     $(DESTDIR)$(BINPATH)/atopsar-$(VERS)
		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
		chown root		$(DESTDIR)$(BINPATH)/atopconvert
		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
		cp atop.daily    	$(DESTDIR)$(SCRPATH)
		chmod 0711 	 	$(DESTDIR)$(SCRPATH)/atop.daily
		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
		cp psaccs_atop   	$(DESTDIR)$(ROTPATH)/psaccs_atop
		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
		touch            	$(DESTDIR)$(LOGPATH)/dummy_after

##########################################################################

versdate.h:
		./mkdate

atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
atopsar.o:	atop.h	photoproc.h photosyst.h                           
rawlog.o:	atop.h	photoproc.h photosyst.h             showgeneric.h
various.o:	atop.h                           acctproc.h
ifprop.o:	atop.h	            photosyst.h             ifprop.h
parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
deviate.o:	atop.h	photoproc.h photosyst.h
procdbase.o:	atop.h	photoproc.h
acctproc.o:	atop.h	photoproc.h atopacctd.h  acctproc.h netatop.h
netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
photoproc.o:	atop.h	photoproc.h
photosyst.o:	atop.h	            photosyst.h
showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
version.o:	version.c version.h versdate.h
gpucom.o:	atop.h	photoproc.h photosyst.h

atopacctd.o:	atop.h  photoproc.h acctproc.h   atopacctd.h   version.h versdate.h

atopconvert.o:	atop.h  photoproc.h photosyst.h

=== debian/changelog ===
atop (2.4.0-3) unstable; urgency=medium

  * upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 25 Jan 2019 17:41:25 +0100

atop (2.4.0-2) experimental; urgency=medium

  * postinst: check whether atop will read the latest raw file. If not,
    convert the file using atopconvert. Thanks to Sven Hartge (Closes: #919922)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 21 Jan 2019 11:33:16 +0100

atop (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    * refresh patches
    * disable atopgpud (needs things from non-free nVidia universe)
    * will now build with glibc 2.28. Thanks to Adrian Bunk (Closes: #916013)
    * will hopefully no longer crash with "Malloc failed for deviated tasks"
      Thanks to Vincent Lefevre for staying on top of this. (Closes: #913910)
    * now calls init script as /bin/bash explicitly. Thanks to Cristian
      Ionescu-Idbohrn (Closes: #853166)
    * command line options are now run-time configurable from
      /etc/defaults/atop. This allows the owners of very big machines to
      turn off options like -R that might affect production on such huge
      boxes. This is mean to address #896767 without deviating from upstream's
      default configuration. Thanks to Manuel Arostegui. This also allows
      local setting of INTERVAL and DAYS. Thanks to Costas Drogos and Roberto
      Suarez Soto (Closes: #861874) (Closes: #877148)
    * now also supports NVMe SSDs. Thanks to Carsten Burkhardt and Damyan
      Ivanov (Closes: #904638)
    * formats process table nicely even with kernel.pid_max > 99999.
      Thanks to Sven Hartge (Closes: #850189)
  * fix outdated mail addresses and URLs in debian/copyright (Closes: #900487)
  * lintian: use dh_maintscript instead of calls to dpkg-maintscript-helper
  * split systemd switch in debian/atop.cron.d in two cron jobs to avoid
    an incomprehensible quoting issue that might cause a cron job to stay
    lingering around on non-systemd systems. Thanks to Arnt Karlsen
    (Closes: #913364)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 13 Jan 2019 16:04:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
	rm -f atop

override_dh_systemd_enable:
	dh_systemd_enable atop.service
	dh_systemd_enable atopacct.service

override_dh_systemd_start:
	dh_systemd_start atop.service
	dh_systemd_start atopacct.service

override_dh_installinit:
	dh_installinit --name=atop
	dh_installinit --name=atopacct

override_dh_auto_install:
	dh_auto_install
	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
	make systemdinstall DESTDIR=$(shell pwd)/debian/atop
	cp atop.service debian/atop.service
	cp atopacct.service debian/atopacct.service
	cp atop.init debian/atop.init
	cp atopacct.init debian/atopacct.init

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site			Directory	Pattern			Version	Script
version=2
# the old ftp site
#ftp://ftp.atcomputing.nl/pub/tools/linux/atop-(.*)\.tar\.gz	debian	uupdate
# the new website
#http://www.atconsultancy.nl/atop/download.html packages/atop-(.*)\.tar\.gz
http://www.atoptool.nl/downloadatop.php download/atop-(.*)\.tar\.gz

## atop 2.5.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 MAN5PATH = /usr/share/man/man5
 MAN8PATH = /usr/share/man/man8
 INIPATH  = /etc/init.d
+DEFPATH  = /etc/default
 SYSDPATH = /usr/lib/systemd/system
 CRNPATH  = /etc/cron.d
 ROTPATH  = /etc/logrotate.d
@@ -64,36 +65,49 @@
 		if [ ! -d $(DESTDIR)$(PMPATHD) ]; 			\
 		then	mkdir -p $(DESTDIR)$(PMPATHD); fi
 		#
-		cp atop.service       $(DESTDIR)$(SYSDPATH)
-		chmod 0644            $(DESTDIR)$(SYSDPATH)/atop.service
-		cp atopgpu.service    $(DESTDIR)$(SYSDPATH)
-		chmod 0644            $(DESTDIR)$(SYSDPATH)/atopgpu.service
-		cp atopacct.service   $(DESTDIR)$(SYSDPATH)
-		chmod 0644            $(DESTDIR)$(SYSDPATH)/atopacct.service
-		cp atop.cronsystemd   $(DESTDIR)$(CRNPATH)/atop
-		cp atop-pm.sh         $(DESTDIR)$(PMPATHD)
-		chmod 0711            $(DESTDIR)$(PMPATHD)/atop-pm.sh
+		cp atop.service        $(DESTDIR)$(SYSDPATH)
+		chmod 0644             $(DESTDIR)$(SYSDPATH)/atop.service
+		cp atopgpu.service     $(DESTDIR)$(SYSDPATH)
+		chmod 0644             $(DESTDIR)$(SYSDPATH)/atopgpu.service
+		cp atop-rotate.service $(DESTDIR)$(SYSDPATH)
+		chmod 0644             $(DESTDIR)$(SYSDPATH)/atop-rotate.service
+		cp atop-rotate.timer   $(DESTDIR)$(SYSDPATH)
+		chmod 0644             $(DESTDIR)$(SYSDPATH)/atop-rotate.timer
+		cp atopacct.service    $(DESTDIR)$(SYSDPATH)
+		chmod 0644             $(DESTDIR)$(SYSDPATH)/atopacct.service
+		cp atop-pm.sh          $(DESTDIR)$(PMPATHD)
+		chmod 0711             $(DESTDIR)$(PMPATHD)/atop-pm.sh
 		#
 		# only when making on target system:
 		#
 		if [ -z "$(DESTDIR)" -a -f /bin/systemctl ]; 		\
-		then	/bin/systemctl stop    atop     2> /dev/null;	\
-			/bin/systemctl disable atop     2> /dev/null;	\
-			/bin/systemctl stop    atopacct 2> /dev/null;	\
-			/bin/systemctl disable atopacct 2> /dev/null;	\
-			/bin/systemctl enable  atopacct;		\
-			/bin/systemctl start   atopacct;		\
-			/bin/systemctl enable  atop;			\
-			/bin/systemctl start   atop;			\
+		then	/bin/systemctl disable --now atop     2> /dev/null; \
+			/bin/systemctl disable --now atopacct 2> /dev/null; \
+			/bin/systemctl daemon-reload;			\
+			/bin/systemctl enable  --now atopacct;		\
+			/bin/systemctl enable  --now atop;		\
+			/bin/systemctl enable  --now atop-rotate.timer;	\
 		fi
 
 sysvinstall:	genericinstall
 		if [ ! -d $(DESTDIR)$(INIPATH) ]; 			\
-		then	mkdir -p  $(DESTDIR)$(INIPATH); fi
+		then	mkdir -p  $(DESTDIR)$(INIPATH);	fi
+		if [ ! -d $(DESTDIR)$(SCRPATH) ]; 			\
+		then	mkdir -p $(DESTDIR)$(SCRPATH);	fi
+		if [ ! -d $(DESTDIR)$(CRNPATH) ]; 			\
+		then	mkdir -p $(DESTDIR)$(CRNPATH);	fi
+		if [ ! -d $(DESTDIR)$(ROTPATH) ]; 			\
+		then	mkdir -p $(DESTDIR)$(ROTPATH);	fi
 		#
 		cp atop.init      $(DESTDIR)$(INIPATH)/atop
 		cp atopacct.init  $(DESTDIR)$(INIPATH)/atopacct
 		cp atop.cronsysv  $(DESTDIR)$(CRNPATH)/atop
+		cp atop.daily     $(DESTDIR)$(SCRPATH)
+		chmod 0711        $(DESTDIR)$(SCRPATH)/atop.daily
+		cp psaccs_atop    $(DESTDIR)$(ROTPATH)/psaccs_atop
+		cp psaccu_atop    $(DESTDIR)$(ROTPATH)/psaccu_atop
+		touch             $(DESTDIR)$(LOGPATH)/dummy_before
+		touch             $(DESTDIR)$(LOGPATH)/dummy_after
 		#
 		if [   -d $(DESTDIR)$(PMPATH1) ]; 			\
 		then	cp 45atoppm $(DESTDIR)$(PMPATH1); 		\
@@ -130,18 +144,15 @@
 		then	mkdir -p $(DESTDIR)$(BINPATH); fi
 		if [ ! -d $(DESTDIR)$(SBINPATH) ]; 		\
 		then mkdir -p $(DESTDIR)$(SBINPATH); fi
-		if [ ! -d $(DESTDIR)$(SCRPATH) ]; 		\
-		then	mkdir -p $(DESTDIR)$(SCRPATH); fi	
 		if [ ! -d $(DESTDIR)$(MAN1PATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(MAN1PATH);	fi
 		if [ ! -d $(DESTDIR)$(MAN5PATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(MAN5PATH);	fi
 		if [ ! -d $(DESTDIR)$(MAN8PATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(MAN8PATH);	fi
-		if [ ! -d $(DESTDIR)$(CRNPATH) ]; 		\
-		then	mkdir -p $(DESTDIR)$(CRNPATH);	fi
-		if [ ! -d $(DESTDIR)$(ROTPATH) ]; 		\
-		then	mkdir -p $(DESTDIR)$(ROTPATH);	fi
+		#
+		touch       		$(DESTDIR)$(DEFPATH)/atop
+		chmod 644      		$(DESTDIR)$(DEFPATH)/atop
 		#
 		cp atop   		$(DESTDIR)$(BINPATH)/atop
 		chown root		$(DESTDIR)$(BINPATH)/atop
@@ -158,18 +169,12 @@
 		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
 		chown root		$(DESTDIR)$(BINPATH)/atopconvert
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
-		cp atop.daily    	$(DESTDIR)$(SCRPATH)
-		chmod 0711 	 	$(DESTDIR)$(SCRPATH)/atop.daily
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
 		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
 		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
-		cp psaccs_atop   	$(DESTDIR)$(ROTPATH)/psaccs_atop
-		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
-		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
-		touch            	$(DESTDIR)$(LOGPATH)/dummy_after
 
 ##########################################################################

=== debian/changelog ===
atop (2.5.0-1) unstable; urgency=medium

  * new upstream version 2.5.0
    * refresh patches
    * add patch to disable defaults file handling
  * machine readable debian/copyright
  * watch file version 4
  * Rules-Requires-Root
  * debhelper compatibility level 13
  * Standards-Version 4.5.1
  * prevent ls warning from being printed in postinst on new install
  * give back meaning to /etc/default/atop
    Thanks to Thomas Arendsen Hein (Closes: #960393)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 20 Nov 2020 13:40:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,6 @@
 	dh_auto_clean
 	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
 	rm -f atop
-
-override_dh_systemd_enable:
-	dh_systemd_enable atop.service
-	dh_systemd_enable atopacct.service
-
-override_dh_systemd_start:
-	dh_systemd_start atop.service
-	dh_systemd_start atopacct.service
 
 override_dh_installinit:
 	dh_installinit --name=atop

## atop 2.6.0

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 MAN8PATH = /usr/share/man/man8
 INIPATH  = /etc/init.d
 DEFPATH  = /etc/default
-SYSDPATH = /usr/lib/systemd/system
+SYSDPATH = /lib/systemd/system
 CRNPATH  = /etc/cron.d
 ROTPATH  = /etc/logrotate.d
 PMPATH1  = /usr/lib/pm-utils/sleep.d
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall  # -DNOPERFEVENT   # -DHTTPSTATS
+CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation # -DNOPERFEVENT   # -DHTTPSTATS
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
@@ -30,11 +30,10 @@
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop atopsar atopacctd atopconvert
+all: 		atop atopsar atopacctd atopconvert atopcat
 
 atop:		atop.o    $(ALLMODS) Makefile
-		$(CC) -c version.c
-		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lz -lm -lrt $(LDFLAGS)
+		$(CC) atop.o $(ALLMODS) -o atop -lncursesw -lz -lm -lrt $(LDFLAGS)
 
 atopsar:	atop
 		ln -sf atop atopsar
@@ -45,11 +44,11 @@
 atopconvert:	atopconvert.o
 		$(CC) atopconvert.o -o atopconvert -lz $(LDFLAGS)
 
-netlink.o:	netlink.c
-		$(CC) -I. -Wall -c netlink.c
+atopcat:	atopcat.o
+		$(CC) atopcat.o -o atopcat $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopacctd atopconvert
+		rm -f *.o atop atopacctd atopconvert atopcat
 
 distr:
 		rm -f *.o atop
@@ -137,9 +136,11 @@
 			/sbin/service atop     start;			\
 		fi
 
-genericinstall:	atop atopacctd atopconvert
+genericinstall:	atop atopacctd atopconvert atopcat
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
+		if [ ! -d $(DESTDIR)$(DEFPATH) ]; 		\
+		then	mkdir -p $(DESTDIR)$(DEFPATH); fi
 		if [ ! -d $(DESTDIR)$(BINPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(BINPATH); fi
 		if [ ! -d $(DESTDIR)$(SBINPATH) ]; 		\
@@ -169,9 +170,13 @@
 		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
 		chown root		$(DESTDIR)$(BINPATH)/atopconvert
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
+		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
+		chown root		$(DESTDIR)$(BINPATH)/atopcat
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
+		cp man/atopcat.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
 		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
 		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
@@ -183,7 +188,7 @@
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 atopsar.o:	atop.h	photoproc.h photosyst.h                           
-rawlog.o:	atop.h	photoproc.h photosyst.h             showgeneric.h
+rawlog.o:	atop.h	photoproc.h photosyst.h  rawlog.h   showgeneric.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h
 parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
@@ -202,4 +207,5 @@
 
 atopacctd.o:	atop.h  photoproc.h acctproc.h   atopacctd.h   version.h versdate.h
 
-atopconvert.o:	atop.h  photoproc.h photosyst.h
+atopconvert.o:	atop.h  photoproc.h photosyst.h  rawlog.h
+atopcat.o:	atop.h  rawlog.h

=== debian/changelog ===
atop (2.6.0-2) unstable; urgency=medium

  * The acct coexistence patch was flawed. Improve it
    Thanks to Joerg Dorchain (Closes: #981091)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 Feb 2021 15:34:09 +0100

atop (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
    * refresh patches
    * adapt debian/copyright
  * fix path to systemctl.
    Thanks to Aaron M. Ucko (Closes: #976125)
  * remove atopsar on debian/rules clean.
    Thanks to Andreas Beckmann (Closes: #976125)
  * add patch to better handle coexistence with the acct package
    Thanks to Sergio Gelato (Closes: #922224)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 20 Jan 2021 19:33:03 +0100

=== debian/control ===
Source: atop
Section: admin
Priority: optional
Maintainer: Marc Haber <atop@packages.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 13~), zlib1g-dev, libncurses5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Homepage: http://atoptool.nl/
Vcs-Git: https://salsa.debian.org/debian/atop.git
Vcs-Browser: https://salsa.debian.org/debian/atop

Package: atop
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Recommends: cron | cron-daemon
Description: Monitor for system resources and process activity
 Atop is an ASCII full-screen performance monitor, similar to the top command,
 but atop only shows the active system-resources and processes, and only shows
 the deviations since the previous interval.  At regular intervals, it shows
 system-level activity related to the CPU, memory, swap, disks and network
 layers, and it shows for every active process the CPU utilization in system
 and user mode, the virtual and resident memory growth, priority, username,
 state, and exit code. The process level activity is also shown for processes
 which finished during the last interval, to get a complete overview about the
 consumers of things such as CPU time.
 .
  Author: Gerlof Langeveld <gerlof@ATComputing.nl>

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
-	rm -f atop
+	rm -f atop atopsar
 
 override_dh_installinit:
 	dh_installinit --name=atop

## atop 2.7.1

=== Makefile ===
--- 
+++ 
@@ -48,17 +48,15 @@
 		$(CC) atopcat.o -o atopcat $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopacctd atopconvert atopcat
+		rm -f *.o atop atopsar atopacctd atopconvert atopcat
 
 distr:
 		rm -f *.o atop
 		tar czvf /tmp/atop.tar.gz *
 
-
-install:
-		@echo Choose either \'make systemdinstall\' or \'make sysvinstall\'
-
-systemdinstall:	genericinstall
+# default install is based on systemd
+#
+install:	genericinstall
 		if [ ! -d $(DESTDIR)$(SYSDPATH) ]; 			\
 		then	mkdir -p $(DESTDIR)$(SYSDPATH); fi
 		if [ ! -d $(DESTDIR)$(PMPATHD) ]; 			\
@@ -88,6 +86,9 @@
 			/bin/systemctl enable  --now atop-rotate.timer;	\
 		fi
 
+
+# explicitly use sysvinstall for System V init based systems
+#
 sysvinstall:	genericinstall
 		if [ ! -d $(DESTDIR)$(INIPATH) ]; 			\
 		then	mkdir -p  $(DESTDIR)$(INIPATH);	fi
@@ -103,8 +104,6 @@
 		cp atop.cronsysv  $(DESTDIR)$(CRNPATH)/atop
 		cp atop.daily     $(DESTDIR)$(SCRPATH)
 		chmod 0711        $(DESTDIR)$(SCRPATH)/atop.daily
-		cp psaccs_atop    $(DESTDIR)$(ROTPATH)/psaccs_atop
-		cp psaccu_atop    $(DESTDIR)$(ROTPATH)/psaccu_atop
 		touch             $(DESTDIR)$(LOGPATH)/dummy_before
 		touch             $(DESTDIR)$(LOGPATH)/dummy_after
 		#
@@ -135,6 +134,7 @@
 			sleep 2;					\
 			/sbin/service atop     start;			\
 		fi
+
 
 genericinstall:	atop atopacctd atopconvert atopcat
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
@@ -156,22 +156,17 @@
 		chmod 644      		$(DESTDIR)$(DEFPATH)/atop
 		#
 		cp atop   		$(DESTDIR)$(BINPATH)/atop
-		chown root		$(DESTDIR)$(BINPATH)/atop
-		chmod 04711 		$(DESTDIR)$(BINPATH)/atop
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atop
 		ln -sf atop             $(DESTDIR)$(BINPATH)/atopsar
 		cp atopacctd  		$(DESTDIR)$(SBINPATH)/atopacctd
-		chown root		$(DESTDIR)$(SBINPATH)/atopacctd
 		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopacctd
 		cp atopgpud  		$(DESTDIR)$(SBINPATH)/atopgpud
-		chown root		$(DESTDIR)$(SBINPATH)/atopgpud
 		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopgpud
 		cp atop   		$(DESTDIR)$(BINPATH)/atop-$(VERS)
 		ln -sf atop-$(VERS)     $(DESTDIR)$(BINPATH)/atopsar-$(VERS)
 		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
-		chown root		$(DESTDIR)$(BINPATH)/atopconvert
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
 		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
-		chown root		$(DESTDIR)$(BINPATH)/atopcat
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)

=== debian/changelog ===
atop (2.7.1-1) unstable; urgency=medium

  * new upstream version 2.7.1
     * atop.service now defining type explicitly
     * Correct disk stats in atopsar
     * documentation changes
  * refresh patches
  * copyright clarification in upstream README

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 10 Jan 2022 11:44:14 +0100

atop (2.7.0-1) unstable; urgency=medium

  * new upstream version 2.7.0
    * better handling of accounting data
    * psacc[su]_atop is no longer necessary
    * make systemdinstall is now make install
  * remove rotation helper logrotate snippets
  * don't start atop-rotate.service, it is invoked by timer
  * remove helper log file imitations in postinst
  * Janitor fixes:
    * use debhelper-compat
    * remove obsolete maintscript entry
    * use secure URI in Homepage field
    * trim trailing whitespace
  * add basic salsa-ci. Thanks to Otto Kekäläinen
  * add Upstream metadata
  * create /etc/default/atop as patch from Upstreams file.
    Thanks to Fei Li (Closes: #999448)
  * remove conflicts on non-existing acct.service
  * add first trivial autopkgtest
  * debian/copyright:
    * clarify license for files without explicit license
    * fix double file name
    * fix a typo
    * update year for debian packagin

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 09 Jan 2022 23:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 13~), zlib1g-dev, libncurses5-dev
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses5-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: binary-targets
-Homepage: http://atoptool.nl/
+Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git
 Vcs-Browser: https://salsa.debian.org/debian/atop

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 override_dh_auto_install:
 	dh_auto_install
 	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
-	make systemdinstall DESTDIR=$(shell pwd)/debian/atop
+	make install DESTDIR=$(shell pwd)/debian/atop
+	cp atop.default debian/atop.default
 	cp atop.service debian/atop.service
 	cp atopacct.service debian/atopacct.service
 	cp atop.init debian/atop.init
 	cp atopacct.init debian/atopacct.init
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start atop-rotate.service
+	dh_installsystemd atop-rotate.timer atop.service atopacct.service

=== debian/tests/control ===
Tests: 01-numcpus

=== debian/watch ===
version=4
http://www.atoptool.nl/downloadatop.php download/atop-(.*)\.tar\.gz

## atop 2.8.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
-OBJMOD4  = atopsar.o  netatopif.o gpucom.o
+OBJMOD4  = atopsar.o  netatopif.o gpucom.o     json.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')

=== debian/changelog ===
atop (2.8.1-1+deb12u1) bookworm-security; urgency=high

  * add upstream patch fixing CVE-2025-31160

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 01 Apr 2025 08:25:40 +0200

atop (2.8.1-1) unstable; urgency=medium

  * new upstream version 2.8.1
  * activate atopacctd before atop, install atop.default.
    Thanks to Fei Li (Closes: #999448)
  * Remove atop restart from cron.d file (we have a systemd job)
    Thanks to Paweł Bogusławski (Closes: #1020565)
  * Mark atop as buildable without (fake)root
    Thanks to Niels Thykier <niels@thykier.net>
  * simplify 01-numcpus test
  * fix accidentally renamed postinst
  * add debian/README
  * Standards-Version: 4.6.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 23 Jan 2023 14:45:02 +0100

atop (2.7.1-2) unstable; urgency=medium

  [ Marc Haber ]
  * we of course need to conflict with acct
  * remove -R from default command line
    upstream has done the same, we're following
    Thanks to Manuel Arostegui (Closes: #896767)
  * fix syntax issue in autopkgtest, add debug output
  * add patch description to atop-rotate-systemctl-path
  * Standards-Version: 4.6.1 (no changes necessary)
  * use https in debian/watch
  * patch some manual page typos flagged by lintian
  * enable all hardening in debian/rules
  * override some lintian warnings

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * atop: Drop versioned constraint on lsb-base in Depends.
    Changes-By: deb-scrub-obsolete

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 13 Jul 2022 12:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses5-dev
-Standards-Version: 4.5.1
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git
 Vcs-Browser: https://salsa.debian.org/debian/atop
@@ -13,7 +13,7 @@
 Package: atop
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: cron | cron-daemon
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,18 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
+	rm -f debian/atop.service debian/atop.default debian/atopacct.service debian/atop.init debian/atopacct.init
 	rm -f atop atopsar
 
 override_dh_installinit:
+	dh_installinit --name=atopacct
 	dh_installinit --name=atop
-	dh_installinit --name=atopacct
 
 override_dh_auto_install:
 	dh_auto_install
@@ -18,6 +20,7 @@
 	make install DESTDIR=$(shell pwd)/debian/atop
 	cp atop.default debian/atop.default
 	cp atop.service debian/atop.service
+	cp atop.default debian/atop.default
 	cp atopacct.service debian/atopacct.service
 	cp atop.init debian/atop.init
 	cp atopacct.init debian/atopacct.init

## atop 2.9.0

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation # -DNOPERFEVENT   # -DHTTPSTATS
+CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations # -DNOPERFEVENT   # -DHTTPSTATS
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
-OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
+OBJMOD3  = showgeneric.o drawbar.o   showlinux.o  showsys.o showprocs.o
 OBJMOD4  = atopsar.o  netatopif.o gpucom.o     json.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
@@ -48,7 +48,7 @@
 		$(CC) atopcat.o -o atopcat $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopsar atopacctd atopconvert atopcat
+		rm -f *.o atop atopsar atopacctd atopconvert atopcat versdate.h
 
 distr:
 		rm -f *.o atop
@@ -197,6 +197,7 @@
 showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
 showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
 showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
+drawbar.o:	atop.h	            photosyst.h  showgeneric.h
 version.o:	version.c version.h versdate.h
 gpucom.o:	atop.h	photoproc.h photosyst.h

=== debian/changelog ===
atop (2.9.0-1ubuntu1) mantic; urgency=medium

  * d/p/atopacctd_return_error.patch: apply upstream patch to fix SIGFPE in
    acctprocnt() (LP: #1725896, LP: #2037910).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 05 Oct 2023 15:25:12 +1300

atop (2.9.0-1) unstable; urgency=medium

  * new upstream version 2.9.0
  * disable mkdate invocation in Makefile

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 01 Jul 2023 16:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Marc Haber <atop@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
 Standards-Version: 4.6.2

## atop 2.10.0

=== Makefile ===
--- 
+++ 
@@ -20,17 +20,18 @@
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations # -DNOPERFEVENT   # -DHTTPSTATS
+CFLAGS  += -O2 -I. -Wall $(shell pkg-config --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
+LDFLAGS  = $(shell pkg-config --libs glib-2.0)
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3  = showgeneric.o drawbar.o   showlinux.o  showsys.o showprocs.o
-OBJMOD4  = atopsar.o  netatopif.o gpucom.o     json.o
+OBJMOD4  = atopsar.o  netatopif.o netatopbpfif.o gpucom.o  json.o utsnames.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop atopsar atopacctd atopconvert atopcat
+all: 		atop atopsar atopacctd atopconvert atopcat atophide
 
 atop:		atop.o    $(ALLMODS) Makefile
 		$(CC) atop.o $(ALLMODS) -o atop -lncursesw -lz -lm -lrt $(LDFLAGS)
@@ -46,6 +47,9 @@
 
 atopcat:	atopcat.o
 		$(CC) atopcat.o -o atopcat $(LDFLAGS)
+
+atophide:	atophide.o
+		$(CC) atophide.o -o atophide -lz $(LDFLAGS)
 
 clean:
 		rm -f *.o atop atopsar atopacctd atopconvert atopcat versdate.h
@@ -136,7 +140,7 @@
 		fi
 
 
-genericinstall:	atop atopacctd atopconvert atopcat
+genericinstall:	atop atopacctd atopconvert atopcat atophide
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
 		if [ ! -d $(DESTDIR)$(DEFPATH) ]; 		\
@@ -168,10 +172,13 @@
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
 		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
+		cp atophide 		$(DESTDIR)$(BINPATH)/atophide
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atophide
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopcat.1 	$(DESTDIR)$(MAN1PATH)
+		cp man/atophide.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
 		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
 		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
@@ -191,6 +198,7 @@
 procdbase.o:	atop.h	photoproc.h
 acctproc.o:	atop.h	photoproc.h atopacctd.h  acctproc.h netatop.h
 netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
+netatopbpfif.o:	atop.h	photoproc.h              netatop.h
 photoproc.o:	atop.h	photoproc.h
 photosyst.o:	atop.h	            photosyst.h
 showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
@@ -205,3 +213,4 @@
 
 atopconvert.o:	atop.h  photoproc.h photosyst.h  rawlog.h
 atopcat.o:	atop.h  rawlog.h
+atophide.o:	atop.h  photoproc.h photosyst.h  rawlog.h

=== debian/changelog ===
atop (2.10.0-3) unstable; urgency=medium

  * the #gpn22 upload
  * fix crash on 64bit time_t.
    Thanks to Steve Langasek (Closes: #1069859)
  * proper use of pkg-config to allow cross build.
    Thanks to Helmut Grohne (Closes: #1063698)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 31 May 2024 13:42:28 +0200

atop (2.10.0-2) unstable; urgency=medium

  * install to /usr.
    Thanks to Chris Hofstaedtler (Closes: #1060334)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 14 Jan 2024 21:18:53 +0100

atop (2.10.0-1) unstable; urgency=medium

  * new upstream version 2.10.0
    * avoids floating point exception when atopacctd fails.
      Thanks to Witold Baryluk (Closes: #1053731)
  * refresh patches
  * add libglib2.0-dev to build-depends
  * remove unnecessary lintian override
  * properly use dpkg-buildflags
  * add new patch that honors locally set LDFLAGS

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 06 Jan 2024 07:07:38 +0100

atop (2.9.0-2) unstable; urgency=medium

  * Apply patch to fix dh_installsystemd.
    Thanks to Helmut Grohne (Closes: #1054092)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 17 Oct 2023 14:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <atop@packages.debian.org>
+Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
+	libglib2.0-dev, pkgconf, systemd-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/

=== debian/tests/control ===
Tests: 01-numcpus
Restrictions: superficial

## atop 2.11.1

=== Makefile ===
--- 
+++ 
@@ -20,12 +20,13 @@
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall $(shell pkg-config --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
-LDFLAGS  = $(shell pkg-config --libs glib-2.0)
+PKG_CONFIG ?= pkg-config
+CFLAGS  += -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
+LDFLAGS += $(shell $(PKG_CONFIG) --libs glib-2.0)
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
-OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
-OBJMOD3  = showgeneric.o drawbar.o   showlinux.o  showsys.o showprocs.o
+OBJMOD2  = acctproc.o photoproc.o photosyst.o cgroups.o rawlog.o ifprop.o parseable.o
+OBJMOD3  = showgeneric.o drawbar.o showlinux.o  showsys.o showprocs.o
 OBJMOD4  = atopsar.o  netatopif.o netatopbpfif.o gpucom.o  json.o utsnames.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
@@ -193,7 +194,7 @@
 rawlog.o:	atop.h	photoproc.h photosyst.h  rawlog.h   showgeneric.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h
-parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
+parseable.o:	atop.h	photoproc.h photosyst.h  cgroups.h  parseable.h
 deviate.o:	atop.h	photoproc.h photosyst.h
 procdbase.o:	atop.h	photoproc.h
 acctproc.o:	atop.h	photoproc.h atopacctd.h  acctproc.h netatop.h
@@ -201,11 +202,12 @@
 netatopbpfif.o:	atop.h	photoproc.h              netatop.h
 photoproc.o:	atop.h	photoproc.h
 photosyst.o:	atop.h	            photosyst.h
-showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
-showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
+cgroups.o:	atop.h	            cgroups.h
+showgeneric.o:	atop.h	photoproc.h photosyst.h  cgroups.h showgeneric.h showlinux.h
+showlinux.o:	atop.h	photoproc.h photosyst.h  cgroups.h showgeneric.h showlinux.h
 showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
-showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
-drawbar.o:	atop.h	            photosyst.h  showgeneric.h
+showprocs.o:	atop.h	photoproc.h photosyst.h  cgroups.h showgeneric.h showlinux.h
+drawbar.o:	atop.h	            photosyst.h            showgeneric.h
 version.o:	version.c version.h versdate.h
 gpucom.o:	atop.h	photoproc.h photosyst.h

=== debian/changelog ===
atop (2.11.1-3) unstable; urgency=medium

  * replace sprintf with snprintf.
  * new parameter for format_bandw to get rid of sprintf.
  * fix buffer overflow crash on Raspberry Pi 5 (fake NUMA architecture)
    Thanks to Gerlof Langeveld (Closes: #1106234)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 28 May 2025 18:07:22 +0200

atop (2.11.1-2) unstable; urgency=medium

  * rewrite postinst to address #1102488

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 04 May 2025 18:41:13 +0200

atop (2.11.1-1) unstable; urgency=medium

  * new upstream version 2.11.1
  * this solves CVE-2025-31160

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 01 Apr 2025 08:08:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
 	libglib2.0-dev, pkgconf, systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git

## atop 2.12.0

=== debian/changelog ===
atop (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * update gbp.conf

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 26 Aug 2025 13:22:49 +0200

## atop 2.12.1

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,16 @@
 PMPATHD  = /usr/lib/systemd/system-sleep
 
 PKG_CONFIG ?= pkg-config
-CFLAGS  += -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
-LDFLAGS += $(shell $(PKG_CONFIG) --libs glib-2.0)
+
+override CFLAGS  := -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0) -Wmissing-prototypes -Wmissing-declarations -Wformat-security $(CFLAGS) # -DNOPERFEVENT   # -DHTTPSTATS
+
+CC_CHECK := $(shell echo | $(CC) -dM -E - | grep -q __clang__ && echo clang || echo gcc)
+ifeq ($(CC_CHECK),gcc)
+    override CFLAGS += -Wno-stringop-truncation
+endif
+
+override LDFLAGS := $(shell $(PKG_CONFIG) --libs glib-2.0) $(LDFLAGS)
+
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o cgroups.o rawlog.o ifprop.o parseable.o
@@ -53,7 +61,7 @@
 		$(CC) atophide.o -o atophide -lz $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopsar atopacctd atopconvert atopcat versdate.h
+		rm -f *.o atop atopsar atopacctd atopconvert atopcat atophide versdate.h
 
 distr:
 		rm -f *.o atop

=== debian/changelog ===
atop (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 24 Sep 2025 10:03:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
-	libglib2.0-dev, pkgconf, systemd-dev
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: libglib2.0-dev,
+                    libncurses-dev,
+                    pkgconf,
+                    systemd-dev,
+                    zlib1g-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
@@ -14,7 +18,7 @@
 Package: atop
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cron | cron-daemon
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export deb_systemdsleepdir = $(shell pkg-config --variable=systemdsleepdir systemd)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/atop.service debian/atop.default debian/atop.atopacct.service debian/atop.init debian/atopacct.init debian/atop.atop-rotate.timer debian/atop.atop-rotate.service
	rm -f atop atopsar

override_dh_installinit:
	dh_installinit --name=atopacct
	dh_installinit --name=atop

override_dh_auto_install:
	dh_auto_install -- PMPATHD=${deb_systemdsleepdir}
	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
	make install DESTDIR=$(shell pwd)/debian/atop PMPATHD=${deb_systemdsleepdir}
	mv debian/atop/lib/systemd/system/atop-rotate.timer debian/atop.atop-rotate.timer
	mv debian/atop/lib/systemd/system/atop-rotate.service debian/atop.atop-rotate.service
	rmdir --parents --ignore-fail-on-non-empty debian/atop/lib/systemd/system
	cp atop.default debian/atop.default
	cp atop.service debian/atop.service
	cp atop.default debian/atop.default
	cp atopacct.service debian/atop.atopacct.service
	cp atop.init debian/atop.init
	cp atopacct.init debian/atopacct.init

override_dh_installsystemd:
	dh_installsystemd --name atop-rotate atop-rotate.timer
	dh_installsystemd --name atop-rotate --no-enable --no-start atop-rotate.service
	dh_installsystemd --name atopacct
	dh_installsystemd atop.service

=== debian/tests/control ===
Tests: 01-numcpus
Restrictions: superficial

=== debian/watch ===
version=4
https://www.atoptool.nl/downloadatop.php download/atop-(.*)\.tar\.gz
